import 'package:flutter_test/flutter_test.dart';

import 'package:appstitch_core/core.dart';
import 'package:appstitch_core/config.dart';

void main() {
  final core = Core();

  final config = Config(appStitchKey: "key", clientID: "client");

  test("initialize", () async {
    core.initialize(config);
    expect(core.config().appStitchKey, "key");
  });

  test("set token", () async {
    core.initialize(config);
    core.setAuthToken("token");

    expect(core.config().auth_token, "token");
  });

  test("clear token", () async {
    core.initialize(config);

    await core.clearAuthToken();

    expect(core.config().auth_token, null);
  });

  test('Test Request', () async {
    core.initialize(config);
    final body = {"amount": 120, "currency": "usd"};
    await core.makeRequst("Stripe/createPaymentIntent", body).then((value) {});
  });
}
